Package com.logicaldoc.core.metadata.validation

# Class ValidationError

java.lang.Object
com.logicaldoc.core.metadata.validation.ValidationError

All Implemented Interfaces:
  `Serializable`

public class ValidationError extends Object implements Serializable
A simple bean to carry an error descrition

Since:
  8.8.1
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ValidationError()`
`ValidationError(String attribute, String description)`
`ValidationError(String attribute, String label, String description)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getAttribute()`
`String`
`getDescription()`
`String`
`getLabel()`
`int`
`hashCode()`
`void`
`setAttribute(String attribute)`
`void`
`setDescription(String description)`
`void`
`setLabel(String label)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ValidationError

public ValidationError(String attribute, String description)

### ValidationError

public ValidationError(String attribute, String label, String description)

### ValidationError

public ValidationError()

## Method Details

### getAttribute

public String getAttribute()

### setAttribute

public void setAttribute(String attribute)

### getDescription

public String getDescription()

### setDescription

public void setDescription(String description)

### getLabel

public String getLabel()

### setLabel

public void setLabel(String label)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`